#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	flex
Version		:	2.6.4
Release		:	17.2.0.rel%{?dist}
Summary		:	A tool for creating scanners (text pattern recognizers)
Group		:	Development/Tools

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	BSD
URL		:	http://flex.sourceforge.net

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
%description
The flex program generates scanners.  Scanners are programs which can
recognize lexical patterns in text.  Flex takes pairs of regular
expressions and C code as input and generates a C source file as
output.  The output file is compiled and linked with a library to
produce an executable.  The executable searches through its input for
occurrences of the regular expressions.  When a match is found, it
executes the corresponding C code.  Flex was designed to work with
both Yacc and Bison, and is used by many programs as part of their
build process.

You should install flex if you are going to use your system for
application development.

#-----------------------------------------------------------------------------
%files			-f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_bindir}/%{name}++
%{_libdir}/libfl.so.2*
%{_infodir}/%{name}.info.gz
%{_infodir}/%{name}.info-[1,2].gz
%{_defaultdocdir}/%{name}-%{version}/*
%{_mandir}/man1/%{name}.1.gz

#=============================================================================
%package		devel
Summary		:	Development files for the flex scanner generator

#-----------------------------------------------------------------------------
Requires	:	%{name}		=  %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
flex is a tool for generating scanners.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/FlexLexer.h
%{_libdir}/libfl.so

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

autoreconf -vif
./configure						\
        --prefix=%{_prefix}				\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%install
%{__rm} -rf %{buildroot}

%{__make} DESTDIR=%{buildroot} install
%{__rm} -fr %{buildroot}%{_infodir}/dir

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

%find_lang %{name}
#-----------------------------------------------------------------------------
%changelog
